import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGithubIpRangesConfig extends cdktf.TerraformMetaArguments {
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/github/d/ip_ranges github_ip_ranges}.
 *
 * @stability stable
 */
export declare class DataGithubIpRanges extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/github/d/ip_ranges github_ip_ranges} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataGithubIpRangesConfig);
    /**
     * @stability stable
     */
    get actions(): string[];
    /**
     * @stability stable
     */
    get actionsIpv4(): string[];
    /**
     * @stability stable
     */
    get actionsIpv6(): string[];
    /**
     * @stability stable
     */
    get dependabot(): string[];
    /**
     * @stability stable
     */
    get dependabotIpv4(): string[];
    /**
     * @stability stable
     */
    get dependabotIpv6(): string[];
    /**
     * @stability stable
     */
    get git(): string[];
    /**
     * @stability stable
     */
    get gitIpv4(): string[];
    /**
     * @stability stable
     */
    get gitIpv6(): string[];
    /**
     * @stability stable
     */
    get hooks(): string[];
    /**
     * @stability stable
     */
    get hooksIpv4(): string[];
    /**
     * @stability stable
     */
    get hooksIpv6(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get importer(): string[];
    /**
     * @stability stable
     */
    get importerIpv4(): string[];
    /**
     * @stability stable
     */
    get importerIpv6(): string[];
    /**
     * @stability stable
     */
    get pages(): string[];
    /**
     * @stability stable
     */
    get pagesIpv4(): string[];
    /**
     * @stability stable
     */
    get pagesIpv6(): string[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
